<template>
  <gree-popup class="NoBodySvSt-popup" position="bottom" get-container="body" v-model="isShow" safe-area-inset-bottom @hide="onHide">
    <gree-radio-list :value="UnmanedOffTime" :options="radioLists" @change="onClick"> </gree-radio-list>
  </gree-popup>
</template>

<script>
import { popup, RadioList } from 'gree-ui';
import { types } from '@/store/types';
import { mapState, mapMutations, mapGetters, mapActions } from 'vuex';

export default {
  name: 'NoBodySvStPopup',
  components: {
    [popup.name]: popup,
    [RadioList.name]: RadioList
  },
  data() {
    return {
      isShow: false
    };
  },
  computed: {
    ...mapState('control', {
      UnmanedOffTime: state => state.dataObject.UnmanedOffTime,
      NoBodySvStPopup: state => state.popup.NoBodySvStPopup,
      StHt: state => state.dataObject.StHt || 0,
      Pow: state => state.dataObject.Pow
    }),
    ...mapGetters([
      'modTextKey',
      'modIdentifier',
      'modCurrentStatusName',
      'temSetVal',
      'temSetJson',
      'temMinVal',
      'temMaxVal',
      'spModCurrentStatusName',
      'spModIdentifier'
    ]),
    ...mapGetters('machine', ['statusMap']),
    radioLists() {
      return [
        {
          value: 3,
          text: '1小时',
          brief: ''
        },
        {
          value: 2,
          text: '2小时',
          brief: ''
        },
        {
          value: 1,
          text: '4小时',
          brief: ''
        },
        {
          value: 0,
          text: '8小时',
          brief: ''
        }
      ];
    }
  },
  watch: {
    NoBodySvStPopup(val) {
      this.isShow = val;
    },
    Pow(val) {
      if (!val) {
        this.isShow = false;
      }
    }
  },
  methods: {
    ...mapMutations('control', {
      SetPopup: 'SET_POPUP',
      setDataObject: 'SET_DATA_OBJECT'
    }),
    ...mapActions({
      sendData: types.SEND_DATA,
      sendCtrl: types.SEND_CTRL,
      stateMatchineInterFace: 'STATE_MACHINE_INTERFACE'
    }),
    onClick(option) {
      console.log(123456, option);
      this.sendData({
        UnmanedOffTime: option.value,
        UnmanedShutDown: 1,
        StHt: 0
      });
    },
    onHide() {
      this.SetPopup({ NoBodySvStPopup: false });
    }
  }
};
</script>

<style lang="scss">
.NoBodySvSt-popup {
  width: 100%;
  color: #404657;
  .gree-radio-list {
    .gree-radio-icon {
      .gree-icon.icon-font.checked {
        color: #71acf1;
      }
    }
  }
}
</style>
